Subject: Re: [PATCH 3/4] gnu: qemu: Add a static output.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 23 Feb 2021 09:38:49 +0100

Maxim Cournoyer <[email-masked]> skribis:

> The static output is equivalent to what other distributions commonly package
> as 'qemu-user-static'.
>
> * gnu/packages/virtualization.scm (qemu)[outputs]: Add a static output.
> [phases]{configure}: Configure the main build as an out-of-source build.  Move
> all configure flags to ...
> [configure-flags]: ... here.  The options explicitly enabling optional
> features are removed; the configure script does a good job at enabling all the
> features available based on the inputs present and this allows reusing the
> flags in variant packages such as qemu-minimal.
> {configure-user-static, build-user-static, install-user-static}: New phases.
> {patch-test-shebangs}: New phase, extracted from the configure phase.
> [native-inputs]: Add glib-static, pcre:static and zlib:static.
> (qemu-minimal)[arguments]: Reuse the configure-flags argument.  Rewrite to use
> match instead of cond.

Nice!

Do you know how this affects build times?  An option would be to make a
separate package rather than a separate output, if that helps.

Thanks,
Ludo’.